# A Ludus lesson
## Structured examples

### A sequence of lessons
This follows, reasonably closely, the path set out by Clayson, _Visual Modeling with Logo_ (MIT Press, 1988). You can download it for free from [Clayson's academia.edu page](https://www.academia.edu/5203649/Visual_modeling_with_Logo_a_structured_approach_to_seeing). (Academia.edu is utter garbage. Don't sign up for an account if you don't already have one.)

The exceptions are the two random lessons, which are inspired by Dan Shiffman's [_The Nature of Code_](https://natureofcode.com/random/).

0. [The very, very basics.](https://ludus.surge.sh/)
1. [Baby's first drawing.](https://ludus.surge.sh/?ld=drawing)
2. [Let's make an annoying box.](https://ludus.surge.sh/?ld=annoying_box)
3. [Let's make a less annoying box.](https://ludus.surge.sh/?ld=repeat)
4. [Teaching Ludus how to make a box.](https://ludus.surge.sh/?ld=functions)
5. [Boxes of various sizes.](https://ludus.surge.sh/?ld=arguments)
6. [Demonstrating design](https://ludus.surge.sh/?ld=demo_1)
7. [A random lesson.](https://ludus.surge.sh/?ld=random)
8. [A random walk.](https://ludus.surge.sh/?ld=walk)
9. [Flipping coins.](https://ludus.surge.sh/?ld=ifs)
9. [Ngons: Parameterize all the things!](https://ludus.surge.sh/?ld=ngon)
11. [Spingons, or `spin_gons`: recursion and conditions.](https://ludus.surge.sh/?ld=recursion)
12. [`c_ngon`: centred gons.](https://ludus.surge.sh/?ld=cngon)

